local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ISCFeature = require("enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____shouldFire = require("shouldFire")
local shouldFireLevel = ____shouldFire.shouldFireLevel
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostNewLevelReordered = __TS__Class()
local PostNewLevelReordered = ____exports.PostNewLevelReordered
PostNewLevelReordered.name = "PostNewLevelReordered"
__TS__ClassExtends(PostNewLevelReordered, CustomCallback)
function PostNewLevelReordered.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireLevel
    self.featuresUsed = {ISCFeature.GAME_REORDERED_CALLBACKS}
end
return ____exports
